{% extends "layout.j2" %}
{% block body %}
{% from "_helpers.html" import render_field_noname %}
<h2>Appoint a Delegate</h2>
<form action = "{{ url_for('delegates') }}" method = "post">
    <p>Enter the crsid of the delegate you wish to appoint:</p>
    {{ render_field_noname(appdelegateform.app_delegate) }}
    <input class="campl-primary-cta" type="submit" value="Appoint Delegate" name="appoint" />
</form>

{% if delegatelistform.delegates.choices is defined and delegatelistform.delegates.choices|length > 0 %}
    <h2>List of Delegates</h2>
    <p>Check boxes for delegates you wish to remove.</p>
    <form action = "{{ url_for('delegates') }}" method = "post">
        {{ delegatelistform.delegates }}<br>
        <input class="campl-primary-cta" type="submit" value="Remove Delegate" name="remove" />
    </form>
{%else%}
    <p>You currently have no delegates appointed.</p>
{%endif%}
{% endblock %}